using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// Die Elementvorlage "Leere Seite" ist unter http://go.microsoft.com/fwlink/?LinkId=234238 dokumentiert.

namespace Suchkontrakt
{
    /// <summary>
    /// Eine leere Seite, die eigenständig verwendet werden kann oder auf die innerhalb eines Rahmens navigiert werden kann.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        // Objektverweis für die App-Klasse
        public static MainPage Current;

        //// Die Datensammlung für die ListBox
        Datensammlung data;

        public MainPage()
        {
            this.InitializeComponent();
            Current = this;
            data = new Datensammlung();

            // Datenbindung
            listBox.ItemsSource = data.Items;
        }

        /// <summary>
        /// Wird aufgerufen, wenn diese Seite in einem Rahmen angezeigt werden soll.
        /// </summary>
        /// <param name="e">Ereignisdaten, die beschreiben, wie diese Seite erreicht wurde. Die
        /// Parametereigenschaft wird normalerweise zum Konfigurieren der Seite verwendet.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }

        public void DoSearch(String searchStr)
        {
            if (searchStr == null || searchStr.Length == 0)
                return;

            String found = data.Search(searchStr);
            if (found != null)
            {
                listBox.SelectedItem = found;
                listBox.Focus(Windows.UI.Xaml.FocusState.Programmatic);
            }
        }
    }
}
